MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028035Open CASCADE[OCCT] OCCT:Visualizationpublic2016-11-01 14:092016-12-09 16:39
Reporterkgv 
Assigned Toapn 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2015OS Version64 bit
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0028035: Visualization - V3d_Trihedron::compute() endlessly creates new graphic groups
DescriptionV3d_Trihedron::compute() calls GraphicClear() with flag FALSE
> myStructure->GraphicClear (Standard_False);
which implies that groups are not deleted from the structure.
At the same time, compute() unconditionally creates new groups.

Either, GraphicClear() should be called with TRUE, or ::compute() should reuse existing groups.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0024291closedapn Visualization - move Z-buffer trihedron presentation from TKOpenGl to TKV3d 

-  Notes
(0059696)
git (administrator)
2016-11-01 15:14

Branch CR28035 has been created by kgv.

SHA-1: d37755b6727a2e13cd9933ce848f213894739952


Detailed log of new commits:

Author: kgv
Date: Tue Nov 1 15:14:35 2016 +0300

    0028035: Visualization - V3d_Trihedron::compute() endlessly creates new graphic groups
    
    V3d_Trihedron::compute() now reuses existing groups in the structure
    and resets the flag myToCompute.

Author: isk
Date: Fri Oct 14 09:17:36 2016 +0300

    0028010: Visualization, Prs3d_Arrow - add Shading presentation builder
    
    StdPrs_ToolCylinder, StdPrs_ToolDisk, StdPrs_ToolQuadric and StdPrs_ToolSphere
    have been moved from StdPrs package to Prs3d.
(0059697)
kgv (developer)
2016-11-01 15:15

Patch is ready for review.
(0059698)
san (developer)
2016-11-01 15:36

Branch CR28035 reviewed without remarks, ready for testing.
(0059712)
git (administrator)
2016-11-01 16:33

Branch CR28035 has been updated forcibly by kgv.

SHA-1: fcf486ab933c8342f729a7bb8d0eab0a109692a5
(0059804)
git (administrator)
2016-11-02 17:39

Branch CR28035 has been updated forcibly by apv.

SHA-1: 0e3e155731ea133f839453336f5fffcc11c23716
(0059805)
apv (tester)
2016-11-02 17:39
edited on: 2016-11-02 17:39

Branch CR28035 has been rebased on IR-2016-11-02

(0059813)
git (administrator)
2016-11-02 18:46

Branch CR28035 has been updated forcibly by kgv.

SHA-1: 6cc6b5d4f93a6904b96c1bc2bf07fa6c5890389d
(0059814)
kgv (developer)
2016-11-02 18:46

Patch has been updated to fix regression.
(0059881)
git (administrator)
2016-11-03 18:02

Branch CR28035 has been updated forcibly by apv.

SHA-1: 885fb979df20bfb754dc809add02c38111ca343d
(0059882)
apv (tester)
2016-11-03 18:03

Branch CR28035 has been rebased on the current master
(0059915)
apv (tester)
2016-11-07 11:16

Dear BugMaster,

Branch CR28035 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 885fb979df20bfb754dc809add02c38111ca343d

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 63
   Windows: 0
   MacOS: 1126

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 90852233 / 91218767 [-0.40%]
Total CPU difference: 19283.83999999988 / 19514.04000000008 [-1.18%]

Testing on Windows:
Total MEMORY difference: 57454639 / 57451773 [+0.00%]
Total CPU difference: 18371.254963698717 / 17672.82288659874 [+3.95%]
(0061258)
git (administrator)
2016-12-07 11:30

Branch CR28035 has been deleted by kgv.

SHA-1: 885fb979df20bfb754dc809add02c38111ca343d

- Related Changesets
occt: master 1475265b
Timestamp: 2016-11-01 12:14:35
Author: kgv
Committer: apn
Details ] Diff ]
0028035: Visualization - V3d_Trihedron::compute() endlessly creates new graphic groups

V3d_Trihedron::compute() now reuses existing groups in the structure
and resets the flag myToCompute.
mod - src/OpenGl/OpenGl_View.cxx Diff ] File ]
mod - src/V3d/V3d_Trihedron.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-11-01 14:09 kgv New Issue
2016-11-01 14:09 kgv Assigned To => kgv
2016-11-01 14:09 kgv Relationship added child of 0024291
2016-11-01 15:14 git Note Added: 0059696
2016-11-01 15:15 kgv Note Added: 0059697
2016-11-01 15:15 kgv Assigned To kgv => san
2016-11-01 15:15 kgv Status new => resolved
2016-11-01 15:36 san Note Added: 0059698
2016-11-01 15:36 san Assigned To san => bugmaster
2016-11-01 15:36 san Status resolved => reviewed
2016-11-01 16:33 git Note Added: 0059712
2016-11-02 14:56 apv Assigned To bugmaster => apv
2016-11-02 17:22 apv Test case number => Not needed
2016-11-02 17:39 git Note Added: 0059804
2016-11-02 17:39 apv Note Added: 0059805
2016-11-02 17:39 apv Note Edited: 0059805 View Revisions
2016-11-02 18:46 git Note Added: 0059813
2016-11-02 18:46 kgv Note Added: 0059814
2016-11-03 18:02 git Note Added: 0059881
2016-11-03 18:03 apv Note Added: 0059882
2016-11-07 11:16 apv Note Added: 0059915
2016-11-07 11:16 apv Assigned To apv => bugmaster
2016-11-07 11:16 apv Status reviewed => tested
2016-11-09 17:43 apn Changeset attached => occt master 1475265b
2016-11-09 17:43 apn Assigned To bugmaster => apn
2016-11-09 17:43 apn Status tested => verified
2016-11-09 17:43 apn Resolution open => fixed
2016-12-07 11:30 git Note Added: 0061258
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:39 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker